// src/xt-button/index.js
Component({
	/**
	 * 组件的属性列表
	 */
	properties: {
		// 左侧图标名称
		icon: {
			type: String,
		},
		// 按钮尺寸，可选值为 normal large small
		size: {
			type: String,
			value: "normal",
		},
		// 按钮类型，可选值为 main secondary
		type: {
			type: String,
			value: "secondary",
		},
		disabled: {
			type: Boolean,
			value: false,
		},
		dataset: null,
		openType: {
			type: String,
			value: "",
		},
		appParameter: {
			type: String,
			value: "",
		},
		showMessageCard: {
			type: String,
			value: "",
		},
		sendMessagePath: {
			type: String,
			value: "",
		},
		sendMessageTitle: {
			type: String,
			value: "",
		},
		lang: {
			type: String,
			value: "en",
		},
		appParameter: {
			type: String,
			value: "",
		},
		appParameter: {
			type: String,
			value: "",
		},
		appParameter: {
			type: String,
			value: "",
		},
	},

	/**
	 * 组件的初始数据
	 */
	data: {
		iconSizeObj: {
			small: 32,
			normal: 40,
			large: 48,
		},
		iconRightObj: {
			small: 4,
			normal: 8,
			large: 16,
		},
	},

	/**
	 * 组件的方法列表
	 */
	methods: {
		onClick(event) {
			const { disabled } = this.properties;
			if (disabled) {
				return;
			}
			this.triggerEvent("click", event);
		},
		onGetUserInfo(event) {
			this.triggerEvent("getuserinfo", event.detail);
		},
		onContact(event) {
			this.triggerEvent("contract", event.detail);
		},
		onGetPhoneNumber(event) {
			this.triggerEvent("getphonenumber", event.detail);
		},
		onGetrealtimephonenumber(event) {
			this.triggerEvent("getphonenumber", event.detail);
		},
		onError(event) {
			this.triggerEvent("error", event.detail);
		},
		onLaunchApp(event) {
			this.triggerEvent("launchapp", event.detail);
		},
		onOpenSetting(event) {
			this.triggerEvent("opensetting", event.detail);
		},
		onChooseAvatar(event) {
			this.triggerEvent("chooseavatar", event.detail);
		},
	},
});
