# 列表卡片

### 介绍
列表中的单个展示项

###效果图
![效果图](https://img.tanjiu.cn/home/CQaAPy656nTYma6QPeJ7tRMJbDHEAeeG.png "列表卡片效果图")

### 引入
在app.json或页面配置json中引入
```
"usingComponents": {
    "xt-card-cell": "@xtdev/xt-miniprogram-ui/xt-card-cell",
}
```

## 代码演示

### 基础用法

```
<xt-card-cell item="{{item}}">
</xt-card-cell>
```

### 使用插槽
使用插槽替换卡片底部内容
```
<xt-card-cell item="{{item}}">
    <view slot="card-footer">
      <!-- 列表按钮 -->
      <view class="footer">
        <view class="default-btn">
          查看详情
        </view>
      </view>
    </view>
</xt-card-cell>
```

##API

#### xt-card-cell props

| 参数      | 说明 |  类型 |
| ----------- | ----------- | ---------- |
| item      | 卡片内容 | `ItemProps` |
| headerSlot   | 卡片顶部插槽  | `slot` |
| contentSlot   | 卡片底部插槽  | `slot` |

#### ItemProps

| 参数      | 说明 | 类型 |
| ----------- | ----------- | ----------- |
| title      | 卡片标题 | `String` |
| subTitle   | 卡片副标题  | `String` |
| subTitleColor   | 卡片副标题颜色  | `String` |
| titleTags      | 标题标签 | `String[]` |
| dataList   | 卡片内容  |  `datalistItem[]` |

#### datalistItem

| 参数      | 说明 | 类型 |
| ----------- | ----------- | ----------- |
| value      | 值 | `String` \| `Number` |
| valueType   | 值类型，可选值为 `text` `tel`  | `String` |
| label   | 字段描述  | `String` |