# Toast

## 介绍

在页面中间弹出黑色半透明提示，用于消息通知、加载提示、操作结果提示等场景。

## 效果图

![效果图](https://img.tanjiu.cn/home/tsxnjSMsEd3nMpPJk5iW3eEGxGfpEdjB.png)

## 引入

在app.json或页面配置json中引入

```json
"usingComponents": {
    "xt-toast": "@xtdev/xt-miniprogram-ui/xt-toast",
}
```

## 代码演示

### 1）默认模式

![默认toast](https://img.tanjiu.cn/home/Qwp2EcfHXEYDCfibTEXSwdBfW8trbND6.png)

```html
<xt-toast type="nomal" show="{{true}}" duration="{{5000}}" message="已确认合同"></xt-toast>
```

### 2）带跳转的提示

![带跳转到toast](https://img.tanjiu.cn/home/6Z7zNbakJzkjSAEpbyaykw5742DWAJQd.png)

```html
<xt-toast type="navToast" message="哈喽早上好！支持跳转指定页面。哈喽早上好！支持跳转指定页面" navUrl="/template/list/index"></xt-toast>
```

## API

### xt-toast props

| 参数        | 说明                                                         | 类型    | 默认值 |
| ----------- | ------------------------------------------------------------ | ------- | ------ |
| show        | 用于触发组件显示，仅当type为'nomal'时有用                    | Boolean | false  |
| type        | 指定组件的类型，可选值为`nomal` `navToast`                   | String  | nomal  |
| duration    | 展示时长(ms)，仅当type为'nomal'时有用                        | Number  | 5000   |
| message     | 内容                                                         | String  | ''     |
| navDuration | 展示时长(ms)，仅当type为'navToast'时有用，（若不设置，则永远不会消失，直到用户点击跳转到指定页面） | Number  | null   |
| navUrl      | 指定跳转的页面路径（相对路径），仅当type为'navToast'时有用   | String  | null   |















